dsc-datatool-transformer reranger(7)

NAME
ReRanger - Rewrite ranged or numerical statistics into other ranges.

SYNOPSIS
dsc-datatool --transform ";ReRanger;<dataset>;<options...>"

DESCRIPTION
This transformer can re-range values in datasets to new rangers.

It supports both values that are a single numerical value or one that is already a range itself (num-num).

OPTIONS

dataset
    See dsc-datatool(1) on how to specify which dataset(s) to run the transformer on.

key=[low|mid|high]
    Specify what value to use when re-ranging an already ranged value (low-high).

    Default to mid, which is high minus low then divided by 2.

func=<func>
    The function to use when aggregating multiple values into a new ranger, default to sum.

    Currently only one function exists, sum, which adds the sum of all values into the new range.

allow_invalid_keys
    If given the "invalid" keys/values that is not numerical or a range will be passed through unmodified.

range=</num>
    The new range given as /number (required).

    For example range=/64 will re-range all values into buckets of 64, 0-63, 64-127 and so on.

SEE ALSO
dsc-datatool(1)

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dsc-datatool/issues

For question and help please use:

    https://lists.dns-oarc.net/mailman/listinfo/dsc